Subject: bug#9044: 24.0.50; File mode specification error: (error "Malformed -*- line")

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 11 Sep 2011 05:24:45 +0200

Glenn Morris <[email-masked]> writes:

> Yes; it has no relation to imagemagick and occurs in 23.3 too. The tiff
> file is a single line and happens to contain "-*-" at one point. Emacs
> tries to parse this as a file local variables section and fails, so it
> complains. It's just a harmless message that you can ignore, it does not
> affect anything. I'm not sure that it's worth trying to do anything
> about this.

Well, it would make sense to have the "-*-" parser try to be a bit more
intelligent, wouldn't it?  But I don't really have a good idea what to
do.

Having Emacs error totally out and refuse to show the image sounds like
a bad idea, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/